var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import { Field } from 'formik';
import { FormGrid, FieldLabel, TextField } from '@compoz/ui';
import JsonTextArea from './JsonTextArea';
var JsonBlockConfigurator = function (_a) {
    var block = _a.block;
    return (React.createElement(FormGrid, { style: {
            gridTemplateColumns: '1fr 3fr',
            maxWidth: '600px'
        } },
        React.createElement(Field, { name: "settings.contextKey", render: function (_a) {
                var field = _a.field, form = _a.form;
                return (React.createElement(React.Fragment, null,
                    React.createElement(FieldLabel, null, "contextKey"),
                    React.createElement(TextField, __assign({ type: "input" }, field)),
                    form.touched.contextKey && form.errors.contextKey && form.errors.contextKey));
            } }),
        React.createElement(Field, { name: "settings.data", render: function (_a) {
                var field = _a.field, form = _a.form;
                return (React.createElement(React.Fragment, null,
                    React.createElement(FieldLabel, null, "data"),
                    React.createElement(JsonTextArea, __assign({}, field, { setValue: function (value) { return form.setFieldValue('settings.data', value); } })),
                    form.touched.data && form.errors.data && form.errors.data));
            } })));
};
export default JsonBlockConfigurator;
