import React from 'react';
import { ChildBlockRenderer, augmentParentContext } from '@compoz/ui';
var JsonBlockRenderer = function (_a) {
    var block = _a.block, pageContext = _a.pageContext, parentContext = _a.parentContext;
    if (block.children.length === 0)
        return null;
    var newParentContext = augmentParentContext(parentContext, block.settings.contextKey, block.settings.data);
    return (React.createElement(React.Fragment, null, block.children.map(function (id) { return (React.createElement(ChildBlockRenderer, { key: id, id: id, parent: block, pageContext: pageContext, parentContext: newParentContext })); })));
};
export default JsonBlockRenderer;
